
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>用iptables实现同机器和不同机器间的端口转发 / 憋错料</title>

    <meta name="description" content="用iptables实现同机器和不同机器间的端口转发 Iptables 将本机80端口的请求转发到8080端口 iptables -t nat -A PREROUTING -p tcp --dport 80 -j REDIRECT --to-ports 8080 如果需要本机也可以访问,则需要配置OUTPUT链: iptables -t nat -A OUTPUT -p tcp -d 127.0.0.1 --dport 80 -j REDIRECT --to-ports 8080 两机之间的端口转发 将本机的81端口的请求全部转发到192.168.">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">用iptables实现同机器和不同机器间的端口转发</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h1>Iptables</h1>
<h3>将本机80端口的请求转发到8080端口</h3>
<pre>iptables&nbsp;-t&nbsp;nat&nbsp;-A&nbsp;PREROUTING&nbsp;-p&nbsp;tcp&nbsp;--dport&nbsp;80&nbsp;-j&nbsp;REDIRECT&nbsp;--to-ports&nbsp;8080</pre>
<ol>
<li>如果需要本机也可以访问，则需要配置OUTPUT链：</li>
</ol>
<pre>iptables&nbsp;-t&nbsp;nat&nbsp;-A&nbsp;OUTPUT&nbsp;-p&nbsp;tcp&nbsp;-d&nbsp;127.0.0.1&nbsp;--dport&nbsp;80&nbsp;-j&nbsp;REDIRECT&nbsp;--to-ports&nbsp;8080</pre>
<h3>两机之间的端口转发</h3>
<ol>
<li>将本机的81端口的请求全部转发到192.168.1.1:80</li>
<li>首先要启用ipv4的转发功能：</li>
</ol>
<pre>echo&nbsp;1&nbsp;&gt;&nbsp;/proc/sys/net/ipv4/ip_forward</pre>
<ol>
<li>或者是修改/etc/sysctl.conf (via)以便重启后也会启用转发，然后设定iptables(via)：</li>
</ol>
<pre>iptables&nbsp;-t&nbsp;nat&nbsp;-A&nbsp;PREROUTING&nbsp;-p&nbsp;tcp&nbsp;--dport&nbsp;81&nbsp;-j&nbsp;DNAT&nbsp;--to&nbsp;192.168.1.1:80&nbsp;
iptables&nbsp;-t&nbsp;nat&nbsp;-A&nbsp;POSTROUTING&nbsp;-j&nbsp;MASQUERADE</pre>
<ol>
<li>如果开启了防火墙功能，注意要将80和81两个端口都打开。</li>
</ol>
<h4>10.23.3.129上设置对10.21.1.91 443端口的转发脚本：</h4>
<pre>#!/bin/sh
/sbin/iptables&nbsp;&nbsp;-t&nbsp;nat&nbsp;-F
echo&nbsp;1&nbsp;&gt;&nbsp;/proc/sys/net/ipv4/ip_forward
/sbin/iptables&nbsp;-t&nbsp;nat&nbsp;-A&nbsp;PREROUTING&nbsp;-p&nbsp;tcp&nbsp;&nbsp;--dport&nbsp;443&nbsp;-j&nbsp;DNAT&nbsp;--to&nbsp;10.21.1.91:443
/sbin/iptables&nbsp;-t&nbsp;nat&nbsp;-A&nbsp;POSTROUTING&nbsp;-j&nbsp;MASQUERADE
/sbin/iptables&nbsp;-t&nbsp;nat&nbsp;-L&nbsp;-n</pre>
<h3>linux下最简单的端口转发工具：rinetd【如果觉得iptables使用复杂，可用下面的工具，比较简单】</h3>
<p>官网地址：http://www.boutell.com/rinetd</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-15 17:53:46 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/iptables/" title="iptables">iptables</a>, <a href="https://www.biecuoliao.com/tag/%e7%ab%af%e5%8f%a3%e8%bd%ac%e5%8f%91/" title="端口转发">端口转发</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>用iptables实现同机器和不同机器间的端口转发的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lb9jZ4.html" rel="bookmark">iptables实现端口转发</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				iptables实现端口转发 Linux下iptables不仅可以用来做防火墙还可以用来做端口转发 示例: 将本机的8080端口转发至其他主机,主机IP:192.168.1.12,目标主机IP和端口:192.168.1.13:8088,规则如下 iptables -t nat -A PREROUTING -p tcp -m tcp --dport 8080 -j DNAT --to-destination 192.168.1.13:8088 iptables -t nat -A POSTROUT			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rDk21M.html" rel="bookmark">2个机器之间的端口转发 iptables实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				场景: 另外个机器无法被直接访问,用A机器进行端口转发 路由器---指定端口nat到 ------- A机器---------iptables nat 到 ------------B机器的端口 iptables -t nat -A PREROUTING -i em3 -p tcp --dport 5080 -j DNAT --to 192.168.0.230:80  (后面这个ip是B机器的ip加端口,前面的em3是A机器的数据经过的网卡 5080是访问A机器的5080端口就转发到后面机器来)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MymxJmM.html" rel="bookmark">Linux 服务器－－Iptables 端口转发</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				日常Iptables 端口转发 需求:公司是局域网络,通过一个外网ip,进行互联网的访问.公司的云平台服务器在公网中,虚拟化平台中有一台内部服务器,用于公司某部门的使用,上面运行www 服务,ssh端口,方便平时上传网站文件.现领导要求将此内部服务器交接给此部门,并只让其在公司内部访问,外面的公网是拒绝访问的. 结构图: 2.解决方法:通过linux 服务器的iptables,利用端口转发,在公司内部通过A机器(或者说A代表某个部门),使其访问到B机器上的特定连接转发至内部机器C上.由于机房服务			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wPDyb4.html" rel="bookmark">Linux  iptables 端口转发</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				准备: 1, UDP端口范围映射 2, tcp 端口范围映射 3, 本机端口转发 4, 单个端口转发 准备: 打开转发 [[email protected] ~]# cat /etc/sysctl.conf  | grep net.ipv4.ip_forward net.ipv4.ip_forward = 1 清空规则,修改默认策略,重要数据请备份 [[email protected] ~]# iptables -F -t nat [[email protected] ~]# iptables 			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/g41NrYM.html" rel="bookmark">iptables 端口转发 实现访问内网的httpd服务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上篇文章写到通过dhcp实现客户机上网功能,由于公网地址只有一个,我想把内部服务发布到外网就需要通过 &quot;端口转发&quot; 来实现 1.公网服务器: eth0:公网IP eth1:内网IP - 192.168.1.1 2.HTTPD服务器: eth0:内网IP -192.168.1.100 3.实现方法: 通过访问公网IP的8080端口来实现到内网MYSQL服务器的3306端口的访问 4.在公网服务器上: iptables -t nat -A PREROUTING -p tcp --dport			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0n1Dk7M.html" rel="bookmark">使用iptables做端口转发</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				#!/bin/sh IPT=&quot;/sbin/iptables&quot; /bin/echo &quot;1&quot; &gt; /proc/sys/net/ipv4/ip_forward /sbin/modprobe ip_tables /sbin/modprobe iptable_filter /sbin/modprobe iptable_nat /sbin/modprobe ip_conntrack /sbin/modprobe ip_conntrack_ftp /sbin/modprob			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35Ay9o3.html" rel="bookmark">CentOS系统中使用iptables设置端口转发</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				echo 1 &gt; /proc/sys/net/ipv4/ip_forward 首先应该做的是/etc/sysctl.conf配置文件的 net.ipv4.ip_forward = 1 默认是0    这样允许iptalbes FORWARD. 修改完成后运行以下命令使参数生效:/sbin/sysctl -p 将本地接口IP 61.144.14.72 的3389端口 转发到 116.6.73.229的3389      (主要访问到61.144.14.72的3389端口,就会跳转到116.6.73			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mym6GEM.html" rel="bookmark">centos7 &amp;amp&semi;&amp;amp&semi; centos6&period;5部KVM使用NAT联网并为虚拟机配置firewalld &amp;amp&semi;&amp;amp&semi; iptables防火墙端口转发</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				centos7 &amp;&amp; centos6.5 部KVM使用NAT联网并为虚拟机配置firewalld &amp;&amp; iptables防火墙端口转发 一.准备工作: 1: 检查kvm是否支持a: grep '(vmx|svm)' /proc/cpuinfo vmx是intel cpu支持的svm是AMD cpu支持的如果flags: 里有vmx 或者svm就说明支持VT:如果没有任何的输出,说明你的cpu不支持,将无法使用KVM虚拟机. b: 确保BIOS里开启VT: Intel(R)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nPJjv4.html" rel="bookmark">linux下通过iptables只允许指定ip地址访问指定端口的设置方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这篇文章主要介绍了linux下通过iptables只允许指定ip地址访问指定端口的设置方法,需要的朋友可以参考下. 首先,清除所有预设置 iptables -F#清除预设表filter中的所有规则链的规则 iptables -X#清除预设表filter中使用者自定链中的规则 其次,设置只允许指定ip地址访问指定端口 其次,设置只允许指定ip地址访问指定端口 iptables -A INPUT -s xxx.xxx.xxx.xxx -p tcp --dport 22 -j ACCEPT iptab			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/VMGLQY0.html" rel="bookmark" class="title">ORA-01084&colon; OCI 调用中的参数无效</a>
					<div>
						执行一个Insert语句,系统抛出来的异常是:ORA-01084:OCI调用中的参数无效. 请注意检查Insert字段中是否有clob字段并传入了这样的&quot;&quot;空字符串,如果是的话就是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0awx1q4.html" rel="bookmark" class="title">读书笔记 - 《邓小平时代》</a>
					<div>
						结束一周的阅读,合上这正文六百六十九页含注释八百一十八页的煌煌巨著后许久,跌宕起伏的心情才能渐渐平复.在中国改革开放标志城市深圳的孤灯之下,身后的妻子女儿都已熟睡,再回顾过去不久的那段历史,分外感触! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0x8jPD0.html" rel="bookmark" class="title">行为型模式之解释器模式</a>
					<div>
						概述 解释器模式是一种使用频率相对较低但学习难度较大的设计模式,它用于描述如何使用面向对象语言构成一个简单的语言解释器.在某些情况下,为了更好地描述某一些特定类型的问题,我们可以创建一种新的语言,这种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmlLgB4.html" rel="bookmark" class="title">作业七&mdash;&OpenCurlyDoubleQuote;南通大学教务管理系统微信公众号&rdquo;用户体验分析</a>
					<div>
						 这次分析其实更像是用户的使用报告和反馈.当然,如果所提建议能被公众号维护者所考虑,那也是特别让人(用户)感到兴奋的.      基于Nielsen十条设计准则: Visibility of syst ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6NAyvM.html" rel="bookmark" class="title">Makefile工程文件</a>
					<div>
						1 ################################################################ 2 # File Name : Makefile 3 # Auth ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEkgPP3.html" rel="bookmark" class="title">键盘下落方法</a>
					<div>
						方法一:点击屏幕背景,键盘下落 //触摸背景键盘下落 -(void)touchesBegan:(NSSet *)touches withEvent:(UIEvent *)event { [self.v ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3O7rb73.html" rel="bookmark" class="title">win10环境下mysql5&period;7压缩包解压安装过程</a>
					<div>
						1.因为重复安装mysql可能会因为上次的文件删除不彻底,从而影响到这次的安装,如果是第一次安装,那么可以忽略该步骤,如果已经安装过mysql,那么按以下操作检查是否删除干净:(1).进入控制面板-- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0d5rA63.html" rel="bookmark" class="title">类的属性</a>
					<div>
						1 class provence: 2 # 构造函数 3 def __init__(self, name): 4 self.name = name 5 # 特性,将方法伪造成字段 6 @propert ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ON2l80.html" rel="bookmark" class="title">jsp（Java Server Pages）和js（JavaScript）的区别：</a>
					<div>
						1.jsp一般用于服务器端编程(例如读取数据库,更新数据库等) javascript虽然在asp环境中也可以用于服务器端编程,但是 它用得更广的还是用于客户端编程,例如常见的网页特效很多 都是java ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l5BAN3.html" rel="bookmark" class="title">Linux关闭休眠和屏保模式</a>
					<div>
						本人因为特殊需求,想让某台Linux主机始终显示某个程序,显示器不能关机或者休眠或进入屏保模式. 环境:Ubuntu 11.10 最小化模式安装并安装有轻量级桌面openbox(非gnome).因为X ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rZQ7q3.html" rel="bookmark" class="title">二级指针的简单运用</a>
					<div>
						在C语言中,数组名就是一个指针常量,保存数组的首地址.因为数组名是一个常量指针常量,不能修改其指向的值,因此可以定义一个指针变量指向数组.这样使用数组名加下标可访问数组中的元素,使用指针名加下标也可访 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M65eVZ4.html" rel="bookmark" class="title">PHP5中的stdClass</a>
					<div>
						PHP5中的stdClass stdClass详解 该类是PHP的保留类,并不是所有类的基类.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXnNXb3.html" rel="bookmark" class="title">磁盘及文件系统管理（三）</a>
					<div>
						一.swap分区 1.free命令--查看当前系统的交换分区和物理内存的使用情况 -m: 以M为单位显示(默认以字节为单位) fdisk命令中,调整分区类型为82 创建交换分区: mkswap /de ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bRKmY0.html" rel="bookmark" class="title">form表单提交踩坑记</a>
					<div>
						今天收获了一次集团故障,心塞不已,究其原因,是form表单提交时web服务器对大小做了限制.这个必现的问题在测试阶段也不知为啥没测出来,项目太紧张,赶出来的东西果然质量没有保证. pc端和H5是两套逻 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xaw673.html" rel="bookmark" class="title">iOS 关于 UIKit 专栏应该写在最前面的话</a>
					<div>
						iOS 关于 UIKit 应该写在最前面的话 太阳火神的美丽人生 (http://blog.csdn.net/opengl_es) 本文遵循&quot;署名-非商业用途-保持一致&quot;创作公用协 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3Oy7Q7M.html" rel="bookmark" class="title">课后作业2&mdash;&mdash;编写一个程序，此程序从命令行接收多个数字，求和之后输出结果。</a>
					<div>
						1.题目:编写一个程序,此程序从命令行接收多个数字,求和之后输出结果. 2.程序设计思想:由于命令行的参数均为字符串类型,所以要将字符串类型转换为整型,然后再进行数字的简单加和.求和运用for循环实现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Qar2k4.html" rel="bookmark" class="title">C 、C&plus;&plus;区别和细节</a>
					<div>
						typedef struct LNode{ int value; struct LNode *next }LNode,*LinkLIst;//此处可注释 通过typedef 我们可以知道: Lnode ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e9Elb0.html" rel="bookmark" class="title">【读书札记】《JavaScript DOM编程指南》</a>
					<div>
						对于Javascript的认识是来自于2011年夏天去实训基地做的一个网页项目,当时认为JavaScript是不是Java的一个派别语言什么的,老师那时候教我们调用了一些Javascript的方法.当 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rQpr90.html" rel="bookmark" class="title">nginx  405  not allowed问题的解决</a>
					<div>
						转载自:  http://www.linuxidc.com/Linux/2012-07/66761.htm Apache.IIS.Nginx等绝大多数web服务器,都不允许静态文件响应POST请求,否 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l9Zep3.html" rel="bookmark" class="title">手机APP脚本录制&lpar;LoadRunner 12&rpar;</a>
					<div>
						最近因项目需要,研究了下手机APP脚本录制方法,有需要的童鞋可参考使用! 方法1: 在手机网络中设置网络代理,使用LR12选择Mobile Application – HTTP/HTML协议中代理录制 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.022 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
